• @joekamprad
    I didn’t find anything to do in my system, but not sure I checked everything.
    Any ideas what would wise to check?

  • @manuel

    https://wiki.archlinux.org/index.php/PAM

    $ pacman -Ql pam |grep /etc
    pam /etc/
    pam /etc/default/
    pam /etc/default/passwd
    pam /etc/environment
    pam /etc/security/
    pam /etc/security/access.conf
    pam /etc/security/group.conf
    pam /etc/security/limits.conf
    pam /etc/security/namespace.conf
    pam /etc/security/namespace.init
    pam /etc/security/pam_env.conf
    pam /etc/security/time.conf
    
    
  • The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

  • may require manual intervention…

    if it exists…

    🤸🏻♂

  • @joekamprad
    Just to make it clear, if file /etc/nsswitch.conf.pacnew exists?

  • @manuel said in glibc and pam may require manual intervention:

    /etc/nsswitch.conf.pacnew

    In my case, it does not exist

    $ cat /etc/nsswitch.conf.pacnew
    cat: /etc/nsswitch.conf.pacnew: No existe el fichero o el directorio
    
  • if file /etc/nsswitch.conf.pacnew exist you should merge this to /etc/nsswitch.conf, as you may have setup something special…

  • Original Message:

    **glibc 2.27-2 and pam 1.3.0-2 may require manual intervention
    2018-04-20 - B. P. **

    The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

    NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.

    pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_##.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

  • Thanks guys for the info. Hopefully all can now check that their system is OK.

manual9 pam3 glibc3 require2 Posts 10Views 969
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.